Q3 2015 [2015.3.930]: IE 8 Compatibility problems

Thread is closed for posting
1 posts, 0 answers
  1. Kendo UI
    Kendo UI avatar
    319 posts
    Member since:
    Aug 2011

    Posted 01 Oct 2015 Link to this post


    Loading kendo.all.min.js file in IE 8 results in multiple JavaScript errors.

    Typically the error message will be "Object doesn't support this property or method" and will be caused by a call to mapforEach or bind.

    Root Cause

    The errors are due to the inclusion of the Kendo UI Spreadsheet​ which requires IE9 and later.

    It was nevertheless bundled in kendo.all without the necessary run-time checks.


    • Use a custom bundle that does not include the Spreadsheet widget
    • Load an ES5 Polyfill, for example es5-shim, before kendo.all.min.js:




    A permanent fix will be included in the next internal build, version 2015.3.1002, due for release on 2 Oct 2015.

    Future Service Packs and official releases will be free of this defect as well.


    Apologies for the caused inconvenience.​

Back to Top